import { fetchHistory as fetchHistoryApi } from '@/api/history';
import { getSearchInfo } from '@/api/home/search';
import { ref } from 'vue';

// function useFetchKeywordResult(keyword: string) {
//   // 历史列表
//   const history = ref<Set<string>>(new Set());
//   // 从服务器接受的列表内容
//   const list = ref<HotSearch[]>([]);

//   const { data } = await hotSearch();
//   list.value = data.data;

//   return { list };
// }

// 初始化历史
function fetchHistory() {
  const history = ref<string[]>([]);

  // 屏蔽从storage获取记录的方式
  // const historyStr = localStorage.getItem('history')
  // if (historyStr) {
  //     history.value = new Set(JSON.parse(historyStr))
  // } else {
  //     history.value = new Set()
  // }

  fetchHistoryApi().then(({ data }) => {
    data.data.forEach((item: { id: number; keyword: string }) => {
      history.value.push(item.keyword);
    });
  });

  return { history };
}

// 获取搜索结果
function fetchSearchResult(keyword: string) {
  // 返回三个数据
  // banners my_surveys templates
  const banners = ref([]);
  const my_surveys = ref([]);
  const templates = ref([]);

  getSearchInfo(keyword).then(({ data }) => {
    banners.value = data.data.banners;
    my_surveys.value = data.data.my_surveys;
    templates.value = data.data.templates;
  });

  return {
    banners,
    my_surveys,
    templates
  };
}

export { fetchHistory, fetchSearchResult };
